package proxy.util;

public class ChatComponentTranslation extends ChatComponent {
	private final String key;
	private final Object[] args;

	public ChatComponentTranslation(String key, Object... args) {
		this.key = key;
		this.args = args;
	}

	public String getKey() {
		return this.key;
	}

	public Object[] getArgs() {
		return this.args;
	}
	
	public String toString() {
		StringBuilder sb = new StringBuilder(this.key);
		for(Object arg : this.args) {
			sb.append(' ').append(arg);
		}
		return sb.toString();
	}
}
