package proxy.util;

import java.util.Map;

import com.google.common.collect.Maps;

public enum ClickAction {
	OPEN_URL("open_url", true),
	OPEN_FILE("open_file", false),
	RUN_COMMAND("run_command", true),
	TWITCH_USER_INFO("twitch_user_info", false),
	SUGGEST_COMMAND("suggest_command", true),
	CHANGE_PAGE("change_page", true);

	private static final Map<String, ClickAction> LOOKUP = Maps.newHashMap();

	private final boolean serialize;
	private final String name;

	static {
		for(ClickAction action : values()) {
			LOOKUP.put(action.name, action);
		}
	}

	public static ClickAction getByName(String name) {
		return LOOKUP.get(name);
	}

	private ClickAction(String name, boolean serialize) {
		this.name = name;
		this.serialize = serialize;
	}

	public boolean isSerialized() {
		return this.serialize;
	}

	public String getName() {
		return this.name;
	}
}