package proxy.util;

import java.util.Map;

import com.google.common.collect.Maps;

public enum HoverAction {
	SHOW_TEXT("show_text", true),
	SHOW_ACHIEVEMENT("show_achievement", true),
	SHOW_ITEM("show_item", true),
	SHOW_ENTITY("show_entity", true);

	private static final Map<String, HoverAction> LOOKUP = Maps.newHashMap();

	private final boolean serialize;
	private final String name;

	static {
		for(HoverAction action : values()) {
			LOOKUP.put(action.name, action);
		}
	}

	public static HoverAction getByName(String name) {
		return LOOKUP.get(name);
	}

	private HoverAction(String name, boolean serialize) {
		this.name = name;
		this.serialize = serialize;
	}

	public boolean isSerialized() {
		return this.serialize;
	}

	public String getName() {
		return this.name;
	}
}