package proxy.util;

import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonParseException;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;
import java.lang.reflect.Type;

public class ServerInfo {
	private ChatComponent motd;
	private PlayerInfo info;
	private VersionId version;
	private String icon;

	public ChatComponent getMotd() {
		return this.motd;
	}

	public void setMotd(ChatComponent motd) {
		this.motd = motd;
	}

	public PlayerInfo getInfo() {
		return this.info;
	}

	public void setInfo(PlayerInfo info) {
		this.info = info;
	}

	public VersionId getVersion() {
		return this.version;
	}

	public void setVersion(VersionId version) {
		this.version = version;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public String getIcon() {
		return this.icon;
	}

	public static class Serializer implements JsonDeserializer<ServerInfo>, JsonSerializer<ServerInfo> {
		public ServerInfo deserialize(JsonElement elem, Type type, JsonDeserializationContext context) throws JsonParseException {
			JsonObject obj = JsonUtils.getJsonObject(elem, "status");
			ServerInfo status = new ServerInfo();
			if(obj.has("description"))
				status.setMotd((ChatComponent)context.deserialize(obj.get("description"), ChatComponent.class));
			if(obj.has("players"))
				status.setInfo((PlayerInfo)context.deserialize(obj.get("players"), PlayerInfo.class));
			if(obj.has("version"))
				status.setVersion((VersionId)context.deserialize(obj.get("version"), VersionId.class));
			if(obj.has("favicon"))
				status.setIcon(JsonUtils.getString(obj, "favicon"));
			return status;
		}

		public JsonElement serialize(ServerInfo status, Type type, JsonSerializationContext context) {
			JsonObject obj = new JsonObject();
			if(status.getMotd() != null)
				obj.add("description", context.serialize(status.getMotd()));
			if(status.getInfo() != null)
				obj.add("players", context.serialize(status.getInfo()));
			if(status.getVersion() != null)
				obj.add("version", context.serialize(status.getVersion()));
			if(status.getIcon() != null)
				obj.addProperty("favicon", status.getIcon());
			return obj;
		}
	}
}
