package proxy.util;

public class Vec3 {
	private final int x;
	private final int y;
	private final int z;

	public Vec3(int x, int y, int z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}

	public Vec3(long data) {
		this.x = (int)(data << 64 - 38 - 26 >> 64 - 26);
		this.y = (int)(data << 64 - 26 - 12 >> 64 - 12);
		this.z = (int)(data << 64 - 26 >> 64 - 26);
	}

	public int getX() {
		return this.x;
	}

	public int getY() {
		return this.y;
	}

	public int getZ() {
		return this.z;
	}

	public long getData() {
		return ((long)this.getX() & 0x3ffffff) << 38 | ((long)this.getY() & 0xfff) << 26 | ((long)this.getZ() & 0x3ffffff) << 0;
	}
}
